Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 190872 - Make common LuceneIndex support
Make common LuceneIndex support
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.0
All All
: P2 (vote)
: 7.0
Assigned To: Tomas Zezula
issues@editor
:
Depends on: 190873
Blocks: 168822
  Show dependency treegraph
 
Reported: 2010-10-10 07:12 UTC by Tomas Zezula
Modified: 2010-10-16 02:52 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2010-10-10 07:12:08 UTC
Currently the LuceneIndex class is both in java.source and parsing.api. Several methods are the same, but they are not completely the same. A common generic support should be created and shared by java and parsing api as friend api. The duplication of these class causes not only problems with class loading but also with maintaining, these classes are sensitive to update of lucene library. Also some performance improvements were done only in java.source not in parsing.api and the parsing.api's LuceneIndex depends on lucene deprecated apis (already fixed in java.source). On the other side the java.source uses file handlers pool from parsing.api by implementation dependency. The common friend api will remove this reason of impl dependency.
Comment 1 Tomas Zezula 2010-10-14 14:53:36 UTC
Fixed jet-main e8f93be3c8c6
Comment 2 Quality Engineering 2010-10-16 02:52:58 UTC
Integrated into 'main-golden', will be available in build *201010160000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e8f93be3c8c6
User: Tomas Zezula <tzezula@netbeans.org>
Log: #190872:Make common LuceneIndex support


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo